CatalogChannels
List listings
GET
/v1/channels/listingsList listings. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
channelId?string
Identifier of the sales channel.
listingType?string
Value in
- "salesChannel"
- "source"
status?string
Only items in these statuses.
Value in
- "draft"
- "publishing"
- "active"
- "failed"
- "unpublished"
- "suspended"
- "syncError"
- "needsAttention"
take?integer
Format
int32Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/channels/listings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "channelId": "7204558912004325301", "productId": "7204558912004325301", "listingType": "salesChannel", "externalId": "7204558912004325301", "externalUrl": "https://example.com/resource", "status": "draft", "price": 1, "compareAtPrice": 1, "lastSyncAt": "2026-08-01T15:30:00Z", "lastSyncError": "example", "lastSyncErrorCode": "example_code", "readinessStatus": "unknown", "readinessIssues": [ { "code": "example_code", "message": "example", "blocking": false, "source": "example", "references": [ "example" ], "causeCode": 1, "sku": "SKU-001" } ], "publishable": false, "readinessUpdatedAt": "2026-08-01T15:30:00Z", "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z" }]